<!-- Modal -->
<div class="modal-dialog modal-lg">
  <div class="modal-content desktop-mt-70">
    <div class="modal-body">
      <div class="container">
        <div class="row">
          <div class="col-12 text-right">
            <button type="button" class="btn btn-default" (click)="close()">X</button>
          </div>
        </div>
      </div>
      <canyalib-canpay [dAppName]="canPay.dAppName" [operation]="canPay.operation" [recepient]="canPay.recepient" [amount]="canPay.amount"
        [postAuthorisationProcessName]="canPay.postAuthorisationProcessName" [postAuthorisationProcessResults]="canPay.postAuthorisationProcessResults"
        (currentStep)="currentStep($event)" (startPostAuthorisationProcess)="canPay.startPostAuthorisationProcess($event)"
        (complete)="canPay.complete($event)" (cancel)="canPay.cancel($event)"></canyalib-canpay>
    </div>
  </div>
</div>
